package com.ruoyi.system.mapper;

import java.util.List;

import com.ruoyi.system.domain.RegisterParentsStudent;
import com.ruoyi.system.domain.RegisterTeacher;
import org.apache.ibatis.annotations.Param;

/**
 * 注册-老师Mapper接口
 * 
 * @author ruoyi
 * @date 2023-05-25
 */
public interface RegisterTeacherMapper 
{
    /**
     * 查询注册-老师
     * 
     * @param id 注册-老师主键
     * @return 注册-老师
     */
    public RegisterTeacher selectRegisterTeacherById(Long id);

    /**
     * 查询注册-老师列表
     * 
     * @param registerTeacher 注册-老师
     * @return 注册-老师集合
     */
    public List<RegisterTeacher> selectRegisterTeacherList(RegisterTeacher registerTeacher);

    /**
     * 新增注册-老师
     * 
     * @param registerTeacher 注册-老师
     * @return 结果
     */
    public int insertRegisterTeacher(RegisterTeacher registerTeacher);

    /**
     * 修改注册-老师
     * 
     * @param registerTeacher 注册-老师
     * @return 结果
     */
    public int updateRegisterTeacher(RegisterTeacher registerTeacher);

    /**
     * 删除注册-老师
     * 
     * @param id 注册-老师主键
     * @return 结果
     */
    public int deleteRegisterTeacherById(Long id);

    /**
     * 批量删除注册-老师
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRegisterTeacherByIds(Long[] ids);

    RegisterTeacher selectRegisterTeacherByOppenId(String oppenId);

    List<RegisterTeacher> selectRegisterTeacherListByTime(@Param("monthFirst") String monthFirst, @Param("deptId")Long deptId);

    RegisterTeacher selectRegisterTeacherByPhonenumber(String phonenumber);
}
